View Issue Details

IDProjectCategoryView StatusLast Update
0000871SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.7 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000871: Implement a REST API for SymmetricDS
DescriptionImplement a REST API for SymmetricDS
TagsNo tags attached.

Activities

chenson

2012-11-29 08:44

administrator   ~0000096

Don't forget to add a small section to the user's guide about the REST API. Maybe it can link the javadoc?

chenson

2012-12-16 12:31

administrator   ~0000108

Prepare for release

Related Changesets

SymmetricDS: master 27b00577

2012-11-10 10:08:37

gwilmer

Details Diff
Issue 871 - Additional work on REST service.
0000871
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
rm - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/ActionResponse.java Diff File
rm - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/model/SyncTriggersActionResponse.java Diff File

Issue History

Date Modified Username Field Change
2012-10-23 16:01 chenson New Issue
2012-10-23 16:01 chenson Status new => assigned
2012-10-23 16:01 chenson Assigned To => chenson
2012-11-04 17:05 chenson Assigned To chenson => gwilmer
2012-11-29 08:44 chenson Note Added: 0000096
2012-12-16 11:25 chenson Status assigned => resolved
2012-12-16 11:25 chenson Fixed in Version => 3.2.0
2012-12-16 11:25 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000108
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6504
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 27b00577